Product Rank Overview


This endpoint will provide you with ranking data from organic and paid Amazon SERPs for the target products. The returned results are specific to the asins specified in a POST request. Learn more about ASIN in this help center article.

Data updates: data is updated weekly, the latest update time is available in the Status endpoint.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
asinsarray

product IDs to compare
required field
product IDs to receive ranking data for;
the maximum number of ASINs you can specify in this array is 1000;
you can receive the asin parameter by making a separate request to the Amazon Products endpoint

Note: all letters in ASIN code must be specified in uppercase format;
example:
B01LW2SL7R

location_namestring

full name of the location
required field if don't specify location_code
you can receive the list of available locations with their location_name by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
United States

location_codeinteger

location code
required field if don't specify location_name
you can receive the list of available locations with their location_code by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
2840

language_namestring

full name of the language
required field if don't specify language_code
you can receive the list of available languages with their language_name by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
English

language_codestring

language code
required field if don't specify language_name
you can receive the list of available languages with their language_code by making a separate request to the
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
en

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        se_typestring

search engine type

        location_codeinteger

location code in a POST array
if there is no data, then the value is_nulln

        language_codestring

language code in a POST array
if there is no data, then the value is_nulln

        total_countinteger

total amount of results in our database relevant to your request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains detected Amazon product competitors and related data

            se_typestring

search engine type

            asinstring

ASIN of the product
unique product identifier on Amazon;
for more information, refer to this help center guide

            metricsobject

average keyword position of the product

                amazon_serpobject

ranking data from Amazon organic SERP

                    pos_1integer

number of organic SERPs where the product ranks #1

                    pos_2_3integer

number of organic SERPs where the product ranks #2-3

                    pos_4_10integer

number of organic SERPs where the product ranks #4-10

                    pos_11_100integer

number of organic SERPs where the product ranks #11-100

                    countinteger

total count of Amazon organic SERPs that contain the product

                    search_volumeinteger

total search volume of the product's ranking keywords in organic SERP

                amazon_paidobject

ranking data from Amazon paid SERP

                    pos_1integer

number of paid SERPs where the product ranks #1

                    pos_2_3integer

number of paid SERPs where the product ranks #2-3

                    pos_4_10integer

number of paid SERPs where the product ranks #4-10

                    pos_11_100integer

number of paid SERPs where the product ranks #11-100

                    countinteger

total count of Amazon paid SERPs that contain the product

                    search_volumeinteger

total search volume of the product's ranking keywords in paid SERP


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/dataforseo_labs/amazon/product_rank_overview/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "asins": [
            "B001TJ3HUG",
            "B01LW2SL7R"
        ],
        "language_name": "English",
        "location_code": 2840
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
   "asins" => [
      "B001TJ3HUG",
      "B01LW2SL7R"
   ],
   "language_name" => "English",
   "location_code" => 2840
);
try {
   // POST /v3/dataforseo_labs/amazon/product_rank_overview/live
   $result = $client->post('/v3/dataforseo_labs/amazon/product_rank_overview/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "asins": [
    "B001TJ3HUG",
    "B01LW2SL7R"
  ],
  "language_name": "English",
  "location_code": 2840
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/dataforseo_labs/amazon/product_rank_overview/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    asins=[
        "B001TJ3HUG",
        "B01LW2SL7R"
    ],
    location_name="United States",
    language_name="English"
)
# POST /v3/dataforseo_labs/amazon/product_rank_overview/live
response = client.post("/v3/dataforseo_labs/amazon/product_rank_overview/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_amazon_product_rank_overview_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                asins = new[]
                {
                    "B001TJ3HUG",
                    "B01LW2SL7R"
                },
                location_name = "United States",
                language_name = "English"
            });
            // POST /v3/dataforseo_labs/amazon/product_rank_overview/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/amazon/product_rank_overview/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20220216",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.1460 sec.",
    "cost": 0.0102,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "02231504-2806-0378-0000-6dc93fd79797",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0595 sec.",
            "cost": 0.0102,
            "result_count": 1,
            "path": [
                "v3",
                "dataforseo_labs",
                "amazon",
                "product_rank_overview",
                "live"
            ],
            "data": {
                "api": "dataforseo_labs",
                "function": "product_rank_overview",
                "se_type": "amazon",
                "language_name": "English",
                "location_code": 2840,
                "asins": [
                    "B001TJ3HUG",
                    "B01LW2SL7R"
                ]
            },
            "result": [
                {
                    "se_type": "amazon",
                    "location_code": 2840,
                    "language_code": "en",
                    "total_count": 1,
                    "items_count": 2,
                    "items": [
                        {
                            "se_type": "amazon",
                            "asin": "B01LW2SL7R",
                            "metrics": {
                                "amazon_serp": {
                                    "pos_1": 4,
                                    "pos_2_3": 9,
                                    "pos_4_10": 10,
                                    "pos_11_100": 29,
                                    "count": 52,
                                    "search_volume": 16900
                                },
                                "amazon_paid": {
                                    "pos_1": 0,
                                    "pos_2_3": 0,
                                    "pos_4_10": 0,
                                    "pos_11_100": 0,
                                    "count": 0,
                                    "search_volume": 0
                                }
                            }
                        },
                        {
                            "se_type": "amazon",
                            "asin": "B001TJ3HUG",
                            "metrics": {
                                "amazon_serp": {
                                    "pos_1": 23,
                                    "pos_2_3": 36,
                                    "pos_4_10": 137,
                                    "pos_11_100": 520,
                                    "count": 716,
                                    "search_volume": 192700
                                },
                                "amazon_paid": {
                                    "pos_1": 5,
                                    "pos_2_3": 12,
                                    "pos_4_10": 14,
                                    "pos_11_100": 0,
                                    "count": 31,
                                    "search_volume": 8700
                                }
                            }
                        }
                    ]
                }
            ]
        }
    ]
}